## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name trie
%global common_description %{expand:
Self-describing content-addressed identifiers for distributed systems
implementation in Python.}

Name:          python-%{pypi_name}
Version:       3.1.0
Release:       %autorelease
BuildArch:     noarch
Summary:       Library which implements the Ethereum Trie structure
License:       MIT
URL:           https://github.com/ethereum/py-trie
VCS:           git:%{url}.git
Source0:       %{pypi_source %pypi_name}
# PyuPi archive lacks tests-suite
Patch:         python-trie-0001-Readd-tools.patch
Patch:         python-trie-0002-Re-add-Trie-fixtures.patch
BuildRequires: python3-hypothesis
BuildRequires: python3-pytest
BuildSystem:   pyproject
BuildOption(prep):    -n %{pypi_name}-%{version}
BuildOption(install): -l %{pypi_name}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %{common_description}

%check
PYTHONPATH=$(pwd) %pytest -k 'not test_install_local_wheel'

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Mon Mar 31 2025 Peter Lemenkov <lemenkov@gmail.com> - 3.1.0-2
- Don't physically remove test file

* Mon Mar 24 2025 Peter Lemenkov <lemenkov@gmail.com> - 3.1.0-1
- trie ver. 3.1.0

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 19 2024 Peter Lemenkov <lemenkov@gmail.com> - 3.0.1-2
- No Changelog file in a tarball from PyPi

* Tue Nov 19 2024 Peter Lemenkov <lemenkov@gmail.com> - 3.0.1-1
- Initial build
## END: Generated by rpmautospec
